Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calltherm.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calltherm.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       subroutine calltherm(dtime  &
@@ -83,4 +83,7 @@
 !      save zentr_therm,zfm_therm
 
+      character (len=20) :: modname='calltherm'
+      character (len=80) :: abort_message
+
       integer i,k
       logical, save :: first=.true.
@@ -137,5 +140,5 @@
          if(nbptspb.GT.0) print*,'Number of points with q_seri(i,k)<=0 ',nbptspb   
 
-         zdt=dtime/float(nsplit_thermals)
+         zdt=dtime/REAL(nsplit_thermals)
          do isplit=1,nsplit_thermals
 
@@ -173,5 +176,7 @@
      &      ,tau_thermals,3)
           else if (iflag_thermals.eq.11) then
-            stop 'cas non prevu dans calltherm'
+              abort_message = 'cas non prevu dans calltherm'
+              CALL abort_gcm (modname,abort_message,1)
+
 !           CALL thermcell_pluie(klon,klev,zdt  &
 !   &      ,pplay,paprs,pphi,zlev  &
@@ -210,5 +215,6 @@
            if (prt_level.gt.10) write(lunout,*)'Apres thermcell_main OK'
          else
-            STOP'Cas des thermiques non prevu'
+           abort_message = 'Cas des thermiques non prevu'
+           CALL abort_gcm (modname,abort_message,1)
          endif
 
@@ -218,5 +224,5 @@
       DO i=1,klon
        logexpr1(i)=flag_bidouille_stratocu.or.weak_inversion(i).gt.0.5
-       IF(logexpr1(i)) fact(i)=1./float(nsplit_thermals)
+       IF(logexpr1(i)) fact(i)=1./REAL(nsplit_thermals)
       ENDDO
 
@@ -255,7 +261,7 @@
         if(prt_level.GE.10) print*,'calltherm i Alp_bl Alp Ale_bl Ale',i,Alp_bl(i),Alp(i),Ale_bl(i),Ale(i)
             fm_therm(i,klev+1)=0.
-            Ale_bl(i)=Ale_bl(i)+Ale(i)/float(nsplit_thermals)
+            Ale_bl(i)=Ale_bl(i)+Ale(i)/REAL(nsplit_thermals)
 !            write(22,*)'ALE CALLTHERM',Ale_bl(i),Ale(i)
-            Alp_bl(i)=Alp_bl(i)+Alp(i)/float(nsplit_thermals)
+            Alp_bl(i)=Alp_bl(i)+Alp(i)/REAL(nsplit_thermals)
 !            write(23,*)'ALP CALLTHERM',Alp_bl(i),Alp(i)
        ENDDO
@@ -276,5 +282,4 @@
 !    &         'fm=',zfm_therm(i,k),'entr=',entr_therm(i,k)
                  endif
-!       stop
             ENDDO
             ENDDO
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conema3.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conema3.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conema3.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE conema3 (dtime,paprs,pplay,t,q,u,v,tra,ntra,
@@ -360,5 +360,5 @@
       cape(i) = em_CAPE
       wd(i) = em_wd
-      rflag(i) = float(iflag)
+      rflag(i) = REAL(iflag)
 c SB      kbas(i) = em_bas
 c SB      ktop(i) = em_top
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conf_phys.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conf_phys.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conf_phys.F90	(revision 1299)
@@ -27,4 +27,5 @@
    USE surface_data
    USE carbon_cycle_mod, ONLY : carbon_cycle_tr, carbon_cycle_cpl
+   use control_mod
 
  include "conema3.h"
@@ -36,5 +37,4 @@
 include "clesphys.h"
 include "compbl.h"
-include "control.h"
 include "comsoil.h"
 !
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/convect2.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/convect2.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/convect2.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       subroutine convect2(ncum,idcum,len,nd,ndp1,nl,minorig,
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cpl_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cpl_mod.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cpl_mod.F90	(revision 1299)
@@ -24,4 +24,6 @@
   USE oasis
   USE write_field_phy
+  USE control_mod
+
   
 ! Global attributes
@@ -101,5 +103,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "indicesol.h"
-    INCLUDE "control.h"
     INCLUDE "temps.h"
     INCLUDE "iniprint.h"
@@ -583,31 +584,31 @@
     DO ig = 1, knon
        cpl_sols(ig,cpl_index) = cpl_sols(ig,cpl_index) + &
-            swdown(ig)      / FLOAT(nexca)
+            swdown(ig)      / REAL(nexca)
        cpl_nsol(ig,cpl_index) = cpl_nsol(ig,cpl_index) + &
-            (lwdown(ig) + fluxlat(ig) +fluxsens(ig)) / FLOAT(nexca)
+            (lwdown(ig) + fluxlat(ig) +fluxsens(ig)) / REAL(nexca)
        cpl_rain(ig,cpl_index) = cpl_rain(ig,cpl_index) + &
-            precip_rain(ig) / FLOAT(nexca)
+            precip_rain(ig) / REAL(nexca)
        cpl_snow(ig,cpl_index) = cpl_snow(ig,cpl_index) + &
-            precip_snow(ig) / FLOAT(nexca)
+            precip_snow(ig) / REAL(nexca)
        cpl_evap(ig,cpl_index) = cpl_evap(ig,cpl_index) + &
-            evap(ig)        / FLOAT(nexca)
+            evap(ig)        / REAL(nexca)
        cpl_tsol(ig,cpl_index) = cpl_tsol(ig,cpl_index) + &
-            tsurf(ig)       / FLOAT(nexca)
+            tsurf(ig)       / REAL(nexca)
        cpl_fder(ig,cpl_index) = cpl_fder(ig,cpl_index) + &
-            fder(ig)        / FLOAT(nexca)
+            fder(ig)        / REAL(nexca)
        cpl_albe(ig,cpl_index) = cpl_albe(ig,cpl_index) + &
-            albsol(ig)      / FLOAT(nexca)
+            albsol(ig)      / REAL(nexca)
        cpl_taux(ig,cpl_index) = cpl_taux(ig,cpl_index) + &
-            taux(ig)        / FLOAT(nexca)
+            taux(ig)        / REAL(nexca)
        cpl_tauy(ig,cpl_index) = cpl_tauy(ig,cpl_index) + &
-            tauy(ig)        / FLOAT(nexca)      
+            tauy(ig)        / REAL(nexca)      
        cpl_windsp(ig,cpl_index) = cpl_windsp(ig,cpl_index) + &
-            windsp(ig)      / FLOAT(nexca)
+            windsp(ig)      / REAL(nexca)
        cpl_taumod(ig,cpl_index) =   cpl_taumod(ig,cpl_index) + &
-          SQRT ( taux(ig)*taux(ig)+tauy(ig)*tauy(ig) ) / FLOAT (nexca)
+          SQRT ( taux(ig)*taux(ig)+tauy(ig)*tauy(ig) ) / REAL (nexca)
 
        IF (carbon_cycle_cpl) THEN
           cpl_atm_co2(ig,cpl_index) = cpl_atm_co2(ig,cpl_index) + &
-               co2_send(knindex(ig))/ FLOAT(nexca) 
+               co2_send(knindex(ig))/ REAL(nexca) 
        END IF
      ENDDO
@@ -777,25 +778,25 @@
     DO ig = 1, knon
        cpl_sols(ig,cpl_index) = cpl_sols(ig,cpl_index) + &
-            swdown(ig)      / FLOAT(nexca)
+            swdown(ig)      / REAL(nexca)
        cpl_nsol(ig,cpl_index) = cpl_nsol(ig,cpl_index) + &
-            (lwdown(ig) + fluxlat(ig) +fluxsens(ig)) / FLOAT(nexca)
+            (lwdown(ig) + fluxlat(ig) +fluxsens(ig)) / REAL(nexca)
        cpl_rain(ig,cpl_index) = cpl_rain(ig,cpl_index) + &
-            precip_rain(ig) / FLOAT(nexca)
+            precip_rain(ig) / REAL(nexca)
        cpl_snow(ig,cpl_index) = cpl_snow(ig,cpl_index) + &
-            precip_snow(ig) / FLOAT(nexca)
+            precip_snow(ig) / REAL(nexca)
        cpl_evap(ig,cpl_index) = cpl_evap(ig,cpl_index) + &
-            evap(ig)        / FLOAT(nexca)
+            evap(ig)        / REAL(nexca)
        cpl_tsol(ig,cpl_index) = cpl_tsol(ig,cpl_index) + &
-            tsurf(ig)       / FLOAT(nexca)
+            tsurf(ig)       / REAL(nexca)
        cpl_fder(ig,cpl_index) = cpl_fder(ig,cpl_index) + &
-            fder(ig)        / FLOAT(nexca)
+            fder(ig)        / REAL(nexca)
        cpl_albe(ig,cpl_index) = cpl_albe(ig,cpl_index) + &
-            albsol(ig)      / FLOAT(nexca)
+            albsol(ig)      / REAL(nexca)
        cpl_taux(ig,cpl_index) = cpl_taux(ig,cpl_index) + &
-            taux(ig)        / FLOAT(nexca)
+            taux(ig)        / REAL(nexca)
        cpl_tauy(ig,cpl_index) = cpl_tauy(ig,cpl_index) + &
-            tauy(ig)        / FLOAT(nexca)     
+            tauy(ig)        / REAL(nexca)     
        cpl_taumod(ig,cpl_index) = cpl_taumod(ig,cpl_index) + &
-            SQRT ( taux(ig)*taux(ig)+tauy(ig)*tauy(ig) ) / FLOAT(nexca) 
+            SQRT ( taux(ig)*taux(ig)+tauy(ig)*tauy(ig) ) / REAL(nexca) 
     ENDDO
 
@@ -944,6 +945,6 @@
 !*************************************************************************************    
 !$OMP MASTER
-    cpl_rriv2D(:,:) = cpl_rriv2D(:,:) + rriv2D(:,:) / FLOAT(nexca)
-    cpl_rcoa2D(:,:) = cpl_rcoa2D(:,:) + rcoa2D(:,:) / FLOAT(nexca)
+    cpl_rriv2D(:,:) = cpl_rriv2D(:,:) + rriv2D(:,:) / REAL(nexca)
+    cpl_rcoa2D(:,:) = cpl_rcoa2D(:,:) + rcoa2D(:,:) / REAL(nexca)
 !$OMP END MASTER
 
@@ -998,5 +999,5 @@
 !*************************************************************************************    
 !$OMP MASTER
-    cpl_rlic2D(:,:) = cpl_rlic2D(:,:) + rlic2D(:,:) / FLOAT(nexca)
+    cpl_rlic2D(:,:) = cpl_rlic2D(:,:) + rlic2D(:,:) / REAL(nexca)
 !$OMP END MASTER
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv30_routines.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv30_routines.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv30_routines.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -749,4 +749,5 @@
 
 #include "cv30param.h"
+      include 'iniprint.h'
 
 c inputs:
@@ -778,4 +779,7 @@
 c local variables:
       integer i,k,nn,j
+
+      CHARACTER (LEN=20) :: modname='cv30_compress'
+      CHARACTER (LEN=80) :: abort_message
 
 
@@ -820,6 +824,7 @@
 
       if (nn.ne.ncum) then
-         print*,'strange! nn not equal to ncum: ',nn,ncum
-         stop
+         write(lunout,*)'strange! nn not equal to ncum: ',nn,ncum
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       endif
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_inicp.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_inicp.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_inicp.F	(revision 1299)
@@ -13,4 +13,6 @@
 c
       INTEGER iflag_clos
+      CHARACTER (LEN=20) :: modname='cv3_inicp'
+      CHARACTER (LEN=80) :: abort_message
 c
 c --   Mixing probability distribution functions
@@ -105,5 +107,6 @@
         if (abs(aire-1.0) .gt. 0.02) then
             print *,'WARNING:: AREA OF MIXING PDF IS::', aire
-            stop
+            abort_message = ''
+            CALL abort_gcm (modname,abort_message,1)
         else
             print *,'Area, mean & std deviation are ::', aire,mu,sigma
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_inip.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_inip.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_inip.F	(revision 1299)
@@ -12,4 +12,9 @@
 c
 c      INTEGER iflag_mix
+      include 'iniprint.h'
+
+      CHARACTER (LEN=20) :: modname='cv3_inip'
+      CHARACTER (LEN=80) :: abort_message
+
 c
 c --   Mixing probability distribution functions
@@ -104,6 +109,7 @@
 c
         if (abs(aire-1.0) .gt. 0.02) then
-            print *,'WARNING:: AREA OF MIXING PDF IS::', aire
-            stop
+            write(lunout,*)'WARNING:: AREA OF MIXING PDF IS::', aire
+            abort_message = ''
+            CALL abort_gcm (modname,abort_message,1)
         else
             print *,'Area, mean & std deviation are ::', aire,mu,sigma
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_routines.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_routines.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_routines.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/cv3_routines.F,v 1.16 2008-11-06 16:29:35 lmdzadmin Exp $
+! $Id$
 !
 c
@@ -35,4 +35,7 @@
       integer nd
       real delt ! timestep (seconds)
+
+      CHARACTER (LEN=20) :: modname='cv3_param'
+      CHARACTER (LEN=80) :: abort_message
 
 c noff: integer limit for convection (nd-noff)
@@ -767,4 +770,5 @@
 
 #include "cv3param.h"
+      include 'iniprint.h'
 
 c inputs:
@@ -797,4 +801,6 @@
       integer i,k,nn,j
 
+      CHARACTER (LEN=20) :: modname='cv3_compress'
+      CHARACTER (LEN=80) :: abort_message
 
       do 110 k=1,nl+1
@@ -839,6 +845,7 @@
 
       if (nn.ne.ncum) then
-         print*,'strange! nn not equal to ncum: ',nn,ncum
-         stop
+         write(lunout,*)'strange! nn not equal to ncum: ',nn,ncum
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       endif
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3a_compress.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3a_compress.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3a_compress.F	(revision 1299)
@@ -76,4 +76,7 @@
       integer i,k,nn,j
 
+      CHARACTER (LEN=20) :: modname='cv3a_compress'
+      CHARACTER (LEN=80) :: abort_message
+
 
       do 110 k=1,nl+1
@@ -127,6 +130,7 @@
 
       if (nn.ne.ncum) then
-         print*,'WARNING nn not equal to ncum: ',nn,ncum
-         stop
+        print*,'WARNING nn not equal to ncum: ',nn,ncum
+        abort_message = ''
+        CALL abort_gcm (modname,abort_message,1)
       endif
 
@@ -157,5 +161,6 @@
       if (nn.ne.ncum) then
          print*,'WARNING nn not equal to ncum: ',nn,ncum
-         stop
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       endif
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3p1_closure.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3p1_closure.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3p1_closure.F	(revision 1299)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
       SUBROUTINE cv3p1_closure(nloc,ncum,nd,icb,inb
      :                      ,pbase,plcl,p,ph,tv,tvp,buoy
@@ -74,4 +77,7 @@
       real wb,sigmax
       data wb /2./, sigmax /0.1/
+
+      CHARACTER (LEN=20) :: modname='cv3p1_closure'
+      CHARACTER (LEN=80) :: abort_message
 c
 c      print *,' -> cv3p1_closure, Ale ',ale(1)
@@ -509,7 +515,9 @@
        cbmf1(il) = alp2(il)/(0.5*wb*wb-Cin(il))
        if(cbmf1(il).EQ.0.AND.alp2(il).NE.0.) THEN
-        print*,'cv3p1_closure cbmf1=0 and alp NE 0 il alp2 alp cin ',il,
+        write(lunout,*)
+     &  'cv3p1_closure cbmf1=0 and alp NE 0 il alp2 alp cin ',il,
      . alp2(il),alp(il),cin(il)
-        STOP 
+        abort_message = ''
+        CALL abort_gcm (modname,abort_message,1)
        endif
        cbmfmax(il) = sigmax*wb2(il)*100.*p(il,icb(il))
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv_routines.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv_routines.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv_routines.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE cv_param(nd)
@@ -38,4 +38,6 @@
 #include "cvparam.h"
       integer nd
+      CHARACTER (LEN=20) :: modname='cv_routines'
+      CHARACTER (LEN=80) :: abort_message
 
 c noff: integer limit for convection (nd-noff)
@@ -429,4 +431,8 @@
 c local variables:
       integer i,k,nn
+      CHARACTER (LEN=20) :: modname='cv_compress'
+      CHARACTER (LEN=80) :: abort_message
+
+      include 'iniprint.h'
 
 
@@ -456,6 +462,7 @@
 
       if (nn.ne.ncum) then
-         print*,'strange! nn not equal to ncum: ',nn,ncum
-         stop
+         write(lunout,*)'strange! nn not equal to ncum: ',nn,ncum
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       endif
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cva_driver.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cva_driver.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cva_driver.F	(revision 1299)
@@ -106,4 +106,6 @@
 #include "dimensions.h"
 ccccc#include "dimphy.h"
+      include 'iniprint.h'
+
 c
 c Input
@@ -419,4 +421,6 @@
       logical, save :: first=.true.
 c$OMP THREADPRIVATE(first)
+      CHARACTER (LEN=20) :: modname='cva_driver'
+      CHARACTER (LEN=80) :: abort_message
 
 c
@@ -563,7 +567,8 @@
 c test niveaux couche alimentation KE
        if(sig1feed1.eq.sig2feed1) then
-               print*,'impossible de choisir sig1feed=sig2feed'
-               print*,'changer la valeur de sig2feed dans physiq.def'
-       stop
+         write(lunout,*)'impossible de choisir sig1feed=sig2feed'
+         write(lunout,*)'changer la valeur de sig2feed dans physiq.def'
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
        endif
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/fisrtilp.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/fisrtilp.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/fisrtilp.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -135,5 +135,5 @@
          PRINT*, 'fisrtilp, evap_prec:', evap_prec
          PRINT*, 'fisrtilp, cpartiel:', cpartiel
-         IF (ABS(dtime/FLOAT(ninter)-360.0).GT.0.001) THEN
+         IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
           PRINT*, 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
           PRINT*, 'Je prefere un sous-intervalle de 6 minutes'
@@ -436,5 +436,5 @@
          zfice(i) = zfice(i)**nexpo
          zneb(i) = MAX(rneb(i,k), seuil_neb)
-         radliq(i,k) = zoliq(i)/FLOAT(ninter+1)
+         radliq(i,k) = zoliq(i)/REAL(ninter+1)
       ENDIF
       ENDDO
@@ -453,13 +453,13 @@
                 zcl   =cld_lc_con
                 zct   =1./cld_tau_con
-                zfroi    = dtime/FLOAT(ninter)/zdz(i)*zoliq(i)
+                zfroi    = dtime/REAL(ninter)/zdz(i)*zoliq(i)
      .              *fallvc(zrhol(i)) * zfice(i)
              else
                 zcl   =cld_lc_lsc
                 zct   =1./cld_tau_lsc
-                zfroi    = dtime/FLOAT(ninter)/zdz(i)*zoliq(i)
+                zfroi    = dtime/REAL(ninter)/zdz(i)*zoliq(i)
      .              *fallvs(zrhol(i)) * zfice(i)
              endif
-             zchau    = zct   *dtime/FLOAT(ninter) * zoliq(i)
+             zchau    = zct   *dtime/REAL(ninter) * zoliq(i)
      .         *(1.0-EXP(-(zoliq(i)/zneb(i)/zcl   )**2)) *(1.-zfice(i))
              ztot    = zchau    + zfroi
@@ -468,5 +468,5 @@
          ztot    = MIN(ztot,zoliq(i))
          zoliq(i) = MAX(zoliq(i)-ztot   , 0.0)
-         radliq(i,k) = radliq(i,k) + zoliq(i)/FLOAT(ninter+1)
+         radliq(i,k) = radliq(i,k) + zoliq(i)/REAL(ninter+1)
       ENDIF
       ENDDO
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/fisrtilp_tr.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/fisrtilp_tr.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/fisrtilp_tr.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -140,5 +140,5 @@
          PRINT*, 'fisrtilp, evap_prec:', evap_prec
          PRINT*, 'fisrtilp, cpartiel:', cpartiel
-         IF (ABS(dtime/FLOAT(ninter)-360.0).GT.0.001) THEN
+         IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
           PRINT*, 'fisrtilp: Ce n est pas prevu, voir Z.X.Li', dtime
           PRINT*, 'Je prefere un sous-intervalle de 6 minutes'
@@ -335,5 +335,5 @@
          zfice(i) = zfice(i)**nexpo
          zneb(i) = MAX(rneb(i,k), seuil_neb)
-         radliq(i,k) = zoliq(i)/FLOAT(ninter+1)
+         radliq(i,k) = zoliq(i)/REAL(ninter+1)
       ENDIF
       ENDDO
@@ -342,8 +342,8 @@
       DO i = 1, klon
       IF (rneb(i,k).GT.0.0) THEN
-         zchau(i) = ct*dtime/FLOAT(ninter) * zoliq(i)
+         zchau(i) = ct*dtime/REAL(ninter) * zoliq(i)
      .          * (1.0-EXP(-(zoliq(i)/zneb(i)/cl)**2)) *(1.-zfice(i))
          zrhol(i) = zrho(i) * zoliq(i) / zneb(i)
-         zfroi(i) = dtime/FLOAT(ninter)/zdz(i)*zoliq(i)
+         zfroi(i) = dtime/REAL(ninter)/zdz(i)*zoliq(i)
      .              *fallv(zrhol(i)) * zfice(i)
          ztot(i) = zchau(i) + zfroi(i)
@@ -351,5 +351,5 @@
          ztot(i) = MIN(MAX(ztot(i),0.0),zoliq(i))
          zoliq(i) = MAX(zoliq(i)-ztot(i), 0.0)
-         radliq(i,k) = radliq(i,k) + zoliq(i)/FLOAT(ninter+1)
+         radliq(i,k) = radliq(i,k) + zoliq(i)/REAL(ninter+1)
       ENDIF
       ENDDO
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/hines_gwd.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/hines_gwd.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/hines_gwd.F	(revision 1299)
@@ -847,5 +847,5 @@
 C  Use horizontal isotropy to calculate azimuthal variances at bottom level.
 C
-      AZFAC = 1. / FLOAT(NAZ)
+      AZFAC = 1. / REAL(NAZ)
       DO 20 N = 1,NAZ
         DO 10 I = IL1,IL2
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_bilKP_ave.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_bilKP_ave.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_bilKP_ave.h	(revision 1299)
@@ -1,4 +1,4 @@
 c
-c $Header$
+c $Id$
 c
       IF (ok_journe) THEN
@@ -17,5 +17,5 @@
 cym         ENDDO
          DO ll=1,klev
-            znivsig(ll)=float(ll)
+            znivsig(ll)=REAL(ll)
          ENDDO
 cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_bilKP_ins.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_bilKP_ins.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_bilKP_ins.h	(revision 1299)
@@ -1,4 +1,4 @@
 c
-c $Header$
+c $Id$
 c
       IF (ok_journe) THEN
@@ -17,5 +17,5 @@
 cym         ENDDO
          DO ll=1,klev
-            znivsig(ll)=float(ll)
+            znivsig(ll)=REAL(ll)
          ENDDO
 cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histISCCP.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histISCCP.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histISCCP.h	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       IF (ok_isccp) THEN
@@ -49,5 +49,5 @@
 c
         DO l=1, ncol(n)
-          vertlev(l,n)=float(l)
+          vertlev(l,n)=REAL(l)
         ENDDO !ncol
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histday_seri.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histday_seri.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histday_seri.h	(revision 1299)
@@ -1,4 +1,4 @@
 c
-c $Header$
+c $Id$
 c
 cym Ne fonctionnera pas en mode parallele
@@ -19,5 +19,5 @@
          ENDDO
          DO ll=1,klev
-            znivsig(ll)=float(ll)
+            znivsig(ll)=REAL(ll)
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histmthNMC.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histmthNMC.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_histmthNMC.h	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       IF (ok_mensuel) THEN
@@ -20,5 +20,5 @@
 cym         ENDDO
          DO ll=1,klev
-            znivsig(ll)=float(ll)
+            znivsig(ll)=REAL(ll)
          ENDDO
 cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/inifis.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/inifis.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/inifis.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE inifis(ngrid,nlayer,
@@ -45,4 +45,5 @@
 cym#include "dimphy.h"
 
+      INCLUDE 'iniprint.h'
       REAL prad,pg,pr,pcpp,punjours
  
@@ -52,4 +53,7 @@
  
       REAL ptimestep
+      CHARACTER (LEN=20) :: modname='inifis'
+      CHARACTER (LEN=80) :: abort_message
+
  
       IF (nlayer.NE.klev) THEN
@@ -58,5 +62,6 @@
          PRINT*,'nlayer     = ',nlayer
          PRINT*,'klev   = ',klev
-         STOP
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       ENDIF
 
@@ -66,8 +71,13 @@
          PRINT*,'ngrid     = ',ngrid
          PRINT*,'klon   = ',klon
-         STOP
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       ENDIF
 
       RETURN
-9999  STOP'Cette version demande les fichier rnatur.dat et surf.def'
+9999  continue
+      abort_message = 'Cette version demande les fichier rnatur.dat
+     & et surf.def'
+      CALL abort_gcm (modname,abort_message,1)
+
       END
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/iniphysiq.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/iniphysiq.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/iniphysiq.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -61,4 +61,6 @@
  
       REAL ptimestep
+      CHARACTER (LEN=20) :: modname='iniphysiq'
+      CHARACTER (LEN=80) :: abort_message
  
       IF (nlayer.NE.klev) THEN
@@ -67,5 +69,6 @@
          PRINT*,'nlayer     = ',nlayer
          PRINT*,'klev   = ',klev
-         STOP
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       ENDIF
 
@@ -75,5 +78,6 @@
          PRINT*,'ngrid     = ',ngrid
          PRINT*,'klon   = ',klon_glo
-         STOP
+         abort_message = ''
+         CALL abort_gcm (modname,abort_message,1)
       ENDIF
 c$OMP PARALLEL PRIVATE(ibegin,iend) 
@@ -96,4 +100,8 @@
 
       RETURN
-9999  STOP'Cette version demande les fichier rnatur.dat et surf.def'
+9999  CONTINUE
+      abort_message ='Cette version demande les fichier rnatur.dat
+     & et surf.def'
+      CALL abort_gcm (modname,abort_message,1)
+
       END
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/initphysto.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/initphysto.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/initphysto.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 C
@@ -12,4 +12,6 @@
        USE IOIPSL
        USE iophy
+       USE control_mod
+
       implicit none
 
@@ -52,5 +54,4 @@
 #include "serre.h"
 #include "indicesol.h"
-#include "control.h"
 cym#include "dimphy.h"
 
@@ -108,5 +109,5 @@
 C
 	DO l=1,llm
-            nivsigs(l)=float(l)
+            nivsigs(l)=REAL(l)
          ENDDO
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/initrrnpb.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/initrrnpb.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/initrrnpb.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Id $
+! $Id$
 !
 SUBROUTINE  initrrnpb(ftsol,pctsrf,masktr,fshtr,hsoltr,tautr,vdeptr,scavtr)
@@ -39,9 +39,16 @@
   REAL                                  :: s
 
+  CHARACTER (LEN=20) :: modname='initrrnpb'
+  CHARACTER (LEN=80) :: abort_message
+
+
   WRITE(*,*)'PASSAGE initrrnpb ...'
 !
 ! Radon it = 1
 !----------------
-  IF ( nbtr .LE. 0 ) STOP '**PHYTRAC:initrrnpb:** nbtr < 0; verifier RN dans traceur.def' 
+  IF ( nbtr .LE. 0 ) then
+    abort_message = '**PHYTRAC:initrrnpb:** nbtr < 0; verifier RN dans traceur.def' 
+    CALL abort_gcm (modname,abort_message,1)
+  ENDIF
   it = 1
   s = 1.E4             ! Source: atome par m2
@@ -68,5 +75,8 @@
 ! 210Pb it = 2
 !----------------
-  IF ( nbtr .LE. 1 ) STOP '**PHYTRAC**:initrrnpb:** nbtr <= 1; verifier PB dans traceur.def' 
+  IF ( nbtr .LE. 1 ) THEN
+    abort_message='**PHYTRAC**:initrrnpb:** nbtr <= 1; verifier PB dans traceur.def' 
+    CALL abort_gcm (modname,abort_message,1)
+  ENDIF
   it = 2
   s = 0.                ! Pas de source 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/mod_phys_lmdz_omp_data.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/mod_phys_lmdz_omp_data.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/mod_phys_lmdz_omp_data.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-!$Header$
+!$Id$
 !
 MODULE mod_phys_lmdz_omp_data
@@ -27,4 +27,8 @@
     INTEGER :: i
 
+    CHARACTER (LEN=20) :: modname='Init_phys_lmdz_omp_data'
+    CHARACTER (LEN=80) :: abort_message
+
+
 #ifdef CPP_OMP    
     INTEGER :: OMP_GET_NUM_THREADS
@@ -51,6 +55,6 @@
      is_omp_root=.TRUE.
    ELSE
-     PRINT *,'ANORMAL : OMP_MASTER /= 0'
-     STOP
+     abort_message = 'ANORMAL : OMP_MASTER /= 0'
+     CALL abort_gcm (modname,abort_message,1)
    ENDIF
 !$OMP END MASTER
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/o3cm.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/o3cm.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/o3cm.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE o3cm (amb, bmb, sortie, ntab)
@@ -19,4 +19,6 @@
 c======================================================================
       external mbtozm
+      CHARACTER (LEN=20) :: modname=''
+      CHARACTER (LEN=80) :: abort_message
 c======================================================================
 c la fonction en ligne w(x) donne le profil de l'ozone en fonction
@@ -27,6 +29,9 @@
       w(x) = wp/h * EXP((x-xp)/h)/ (con+EXP((x-xp)/h))**2
 c======================================================================
-      IF (ntab .GT. 499) STOP 'BIG ntab'
-      xincr = (bmb-amb) / FLOAT(ntab)
+      IF (ntab .GT. 499) THEN
+        abort_message = 'BIG ntab'
+        CALL abort_gcm (modname,abort_message,1)
+      ENDIF
+      xincr = (bmb-amb) / REAL(ntab)
       xtab(1) = amb
       DO n = 2, ntab
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/orografi.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/orografi.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/orografi.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE drag_noro (nlon,nlev,dtime,paprs,pplay,
@@ -1497,4 +1497,6 @@
      *       ZDVDT(KLON)
       REAL ZHCRIT(KLON,KLEV)
+      CHARACTER (LEN=20) :: modname='orografi'
+      CHARACTER (LEN=80) :: abort_message
 C-----------------------------------------------------------------------
 C
@@ -1504,5 +1506,8 @@
       LIFTHIGH=.FALSE.
 
-      IF(NLON.NE.KLON.OR.NLEV.NE.KLEV)STOP
+      IF(NLON.NE.KLON.OR.NLEV.NE.KLEV)THEN
+        abort_message = 'pb dimension'
+        CALL abort_gcm (modname,abort_message,1)
+      ENDIF
       ZCONS1=1./RD
 cym      KLEVM1=KLEV-1
